package com.zhiqiyun.open.core.enmus;


public enum ExtendColumnFieldType implements IBaseEnum {
    /**
     *
     */
    string(1, "文本"),
    number(2, "数字"),
    bool(3, "布尔"),
    bstring(4, "多行文本"),
    radio(5, "单选框"),
    checkbox(6, "多选框"),
    select(7, "下拉选择");

    private final int value;
    private final String text;

    ExtendColumnFieldType(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static ExtendColumnFieldType valueOf(int value) {
        ExtendColumnFieldType[] values = ExtendColumnFieldType.values();
        for (ExtendColumnFieldType type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }


    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
